Download it now!
Bug 116150 - [NEWHELP] CASE and CASEINLINE for 'sys' logic flawed, default cannot be WIN
Summary: [NEWHELP] CASE and CASEINLINE for 'sys' logic flawed, default cannot be WIN
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-03-02 22:15 UTC by Olivier Hallot
Modified: 2018-04-17 10:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-03-02 22:15:36 UTC
The current implementation of the logic for CASE and CASEINLINE for 'sys' selector is wrong.

Default case/caseinline cannot be WIN. It depends on the other cases of the page.

E.g. If URL sends &System=WIN and the page has a case inline only for UNIX, then WIN must display the default.

Note: only one 'sys' can be visible in the rendered page.
Comment 1 Olivier Hallot 2018-03-02 22:19:29 UTC
Sample case

https://help.libreoffice.org/6.0/en-US/text/shared/guide/digitalsign_send.html?System=UNIX&DbPAR=SHARED#bm_id7430951

In this page the section "Manage your certificates" is not shown.
Comment 2 Commit Notification 2018-03-03 10:15:51 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=13098ccef163c813ae3e196511f44a16a6e73fdd

tdf#116150 Fix logic for case/caseinline with 'sys'
Comment 3 Olivier Hallot 2018-04-15 20:33:02 UTC
fix is broken. Need reopne
Comment 4 Commit Notification 2018-04-16 11:18:31 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d5ca87f12819b669646bb6f0978f79ebb5d3f035

tdf#116150 Review XHP <switch> style transform